Status: Closed Start date: 11/02/2017

Priority: Urgent % Done: 100%

Assignee: Alita Nandi   

Category:    

Description

There is a file called a_natchild containing the information about the natural children including birth weight, gestational age, and

breastfed.

There is another file called a_child containing information about child's identifier(pidp), childs age (a_dvage).

I had a hard time trying to link those two files together. a_natchild only provided a_childno, which is the birth order. But I don't know

which kid that's apply for (e.g. pidp). Is the a_childno from a_natchild same as the a_childpno ? Do you have any suggestions about

how to link the birthweight to each child? Many thanks

History

#1 - 11/02/2017 04:31 PM - Stephanie Auty

- Status changed from New to In Progress

- Assignee set to Stephanie Auty

- Target version set to M1

- % Done changed from 0 to 10

- Private changed from Yes to No

Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.

Best wishes,

Stephanie Auty - Understanding Society User Support Office

#2 - 12/19/2017 04:00 PM - Stephanie Auty

- Assignee changed from Stephanie Auty to Alita Nandi

#3 - 01/08/2018 06:22 PM - Alita Nandi

- File Linking_a_natchild_indall.do added

- % Done changed from 10 to 80

We sincerely apologise for the delay in responding to this issue. The delay was partly due to investigating this issue and finding appropriate solutions.

The file A_NATCHILD includes inforamtion about natural children as reported by their parents and so each row (in most cases) is at the parent-child

level. The parent can be identified using A_HIDP and A_PNO and the child can be identified using A_HIDP A_LCHNO where A_LCHONO is the PNO

of the child. So, ideally each row should be uniquely identified by A_HIDP A_PNO A_LCHNO. However, there are a few cases where there are

duplicates. In the attached Stata syntax we check such cases and provide suggestions about tackling this issue for those interested in matching

resident biological children in A_NATCHILD with valid birth information with their information in A_INDALL. The Syntax file includes comments which

explains every step. If you have any questions or identify any problems please let me know.

Best wishes,

Alita

#4 - 02/12/2018 12:33 PM - Alita Nandi

- Status changed from In Progress to Resolved

- % Done changed from 80 to 90

#5 - 03/07/2018 05:43 PM - Stephanie Auty

- Status changed from Resolved to Closed

- % Done changed from 90 to 100
Linking_a_natchild_indall.do 7.04 KB 01/08/2018 Alita Nandi
